/*向local中存储数据的工具模块*/
const USER_KEY = 'user_key'
const TOKEN_KEY = 'token_key'
const USER_STATUS = 'user_status'
export default {
  /*获取用户*/
  getUser () {
    return JSON.parse(localStorage.getItem(USER_KEY) || '{}')
  },
  /*保存用户*/
  saveUser(user) {
    localStorage.setItem(USER_KEY, JSON.stringify(user))
  },
  /*删除用户*/
  removeUser() {
    localStorage.removeItem(USER_KEY)
  },

  /*会议存储中保存token*/
  saveToken(token) {
    sessionStorage.setItem(TOKEN_KEY,token)
  },

  getToken() {
    sessionStorage.getItem(TOKEN_KEY)
  },

  // 本地存储记住用户名和密码的状态
  getStatus() {
    return localStorage.getItem(USER_STATUS) || false
  },

  saveStatus(status) {
    localStorage.setItem(USER_STATUS, status)
  },
}



